View Issue Details

IDProjectCategoryView StatusLast Update
0003707SymmetricDS ProBugpublic2019-06-14 09:00
ReportergwilmerAssigned Topmarzullo 
Prioritylow 
Status resolvedResolutionreopened 
Product Version3.9.14 
Target VersionFixed in Version3.10.3 
Summary0003707: Dashboard Health Monitor Shows Orphaned Nodes as Offline. These nodes are not shown in Manage Nodes Screen
DescriptionOn the Dashboard Health Monitor, the "Offline Nodes" label shows orphaned nodes and it shouldn't. These nodes are not shown on the manage nodes screen.

Steps To Reproduce1. Set up 3 tier sync scenario (corp -> store -> till)
2. Register a store and multiple tills
3. Unregister the store from the corp without unregistering the tills from the store
4. Wait for the console.report.as.offline.minutes
5. corp will show tills as offline in the health monitor screen, but will not show at all in manage nodes.

In this scenario, sym_node and sym_node_host rows still exist for the tills, even thought he store's sym_node and sym_node_host rows have been removed.

TagsNo tags attached.

Activities

pmarzullo

2019-06-14 08:37

developer   ~0001525

Add an additional where clause to the NodeService.findOfflineNodeIds() query to restrict the inclusion of records in the result set that have my created_at_node_id value in sym_node or my created_at_node_id is null.

Related Changesets

SymmetricDS: 3.10 acaefe33

2019-06-14 08:39:00

Philip Marzullo

Details Diff
0003707: Dashboard Health Monitor Shows Orphaned Nodes as Offline. These
nodes are not shown in Manage Nodes Screen

0003707
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/NodeServiceSqlMap.java Diff File

Issue History

Date Modified Username Field Change
2018-09-05 15:02 gwilmer New Issue
2018-09-19 08:35 hanes Status new => confirmed
2018-10-10 14:05 hanes Target Version => 3.10.0
2018-10-29 12:48 hanes Priority normal => low
2019-05-08 08:41 admin Target Version 3.10.0 => 3.10.3
2019-05-09 14:01 elong Assigned To => pmarzullo
2019-05-09 14:01 elong Status confirmed => closed
2019-05-09 14:01 elong Resolution open => fixed
2019-05-09 14:01 elong Fixed in Version => 3.10.2
2019-05-09 14:01 elong Target Version 3.10.3 =>
2019-05-09 14:02 elong Status closed => new
2019-05-09 14:02 elong Resolution fixed => reopened
2019-05-09 14:02 elong Fixed in Version 3.10.2 =>
2019-06-14 08:37 pmarzullo Note Added: 0001525
2019-06-14 08:39 pmarzullo Status new => resolved
2019-06-14 08:39 pmarzullo Fixed in Version => 3.10.3
2019-06-14 09:00 Changeset attached => SymmetricDS 3.10 acaefe33